#include "main.h"
//------------------------------------------------------------------------------
//---- Init System function ----------------------------------------------------
//------------------------------------------------------------------------------

int InitSystem(void)
{
	InitUART( 25 ); /* Set the baudrate to 38400 bps using a 16MHz crystal */
	init_display();
	C_FONT(TEXT);
	InitADC(0, true, 1, 64);	// channel, freerun, vref, prescale
	return true;
}

//------------------------------------------------------------------------------
//---- Main function -----------------------------------------------------------
//------------------------------------------------------------------------------
	
int main(void)
{
	//MCUCR = 0x80; 			// wurde ber den Assambler bereits getan
	XMCRB = _BV (XMM0);
	PORTD=0x00;
	DDRD=0xFF;
	PORTB=0xFF;
	DDRB=0xFF;
	InitSystem();
	//checkRam();
	while(1)
	{
		clr_txt_lcd();
		printf("1234567890123456789012345678901234567890");
		while (ReceiveByte() != 'a') {}
		
		clr_grf_lcd();
		printf("1234567890123456789012345678901234567890");
		while (ReceiveByte() != 'a') {}
		
		clr_txt_lcd();
		printf("Anschlieender Text Clear");
		while (ReceiveByte() != 'a') {}
		
		clr_grf_lcd();
		printf("Ein feiner Grafik-Buffer Clear");
		while (ReceiveByte() != 'a') {}
		//AutoCalibrateImage(80, 60);
		//SendCamImage();
		//free(imageData);			// free memory from image data
	}
	
	DeinitADC();
	return 0;
}
